# classes/phing/tasks/system/condition/ReferenceExistsCondition.php

## \ReferenceExistsCondition
jump to top

Condition that tests whether a given reference exists.

Extends from
  \ProjectComponent
Implements
  \Condition
author
  Matthias Pigulla <mp@webfactory.de> (Phing)
package
  phing.tasks.system.condition
version
  $Revision: 526 $

### Properties

`$refid= ''`
Details

Type

### Methods

`evaluate( ) :`
Check whether the reference exists.
Details

throws

`setRef( $id ) :`
Parameters

Name | Type | Description
--- | --- | ---
$id |  |

Documentation was generated by DocBlox 0.13.1.